BB-8 is Platform Agnostic and works with many BLE iOS and Android devices.  Specific operating systems and device requirements are as follows:


iOS

Device Model OS Version
iPad 3+ iOS 8+
iPhone 4S+ iOS 8+
iPod Touch 5th Generation + iOS 8+


Android
Android devices, while having OS 4.4.2 or higher, must have all of the following hardware in order to operate with BB-8:
  • Bluetooth LE (4.0)
  • Front and rear-facing cameras
  • Microphone
  • Distinct multi-touch landscape touchscreen
  • Hardware sensors including gyroscope and accelerometer
  • WiFi capabilities



Chrome
Only available through Sphero Edu app: Requires Chrome 50+, but robots will only connect on Chrome OS. We are working hard to support robot connectivity on Windows and Apple computers in the future.



NOTE: BB-8 is also compatible with our Star Wars App-Enabled Droids by Sphero application. For details, check out our Droids app device compatibility page.






Not What you were looking for? Check out the links below for Sphero product line compatibility per device platform: 

iOS       Android       Kindle       Chrome 

--------------------------------------------------------------------------------------------------------------------------------------------------------

A word from the creators of Sphero

We have hacked, modded and manipulated nearly every piece of hardware we have owned. That being said, we know some customers have done the same. We are working very hard to support as many devices and software versions as we can, but if you have a custom ROM for your Android device or a jailbroken iPhone you may experience issues that we have not accounted for in the public release.